E-Arogya - Bug #89

Feature # 65 (New): Security Audit

[Security Audit ] 24- Improper Error Handling
17/04/2024 04:07 PM - Kalyan Battula

Status: Closed Start date: 17/04/2024
Priority: Low Due date:

Assignee: Uday Kumar Dara % Done: 0%
Category: Estimated time: 0:00 hour
Target version: Security Audit Spent time: 0:00 hour
Deployed In: Category:

Description

24- Improper Error Handling

CWE : CWE-388

Description :

Application discloses various error messages including stacktraces, exceptions, server

versions etc., in error messages.

Affected Path(s) :

/(Webserver)

Impact :

An adversary can use this information to construct further attacks.
Recommendation :

It is recommended to implement custom error pages and implement throughout the

application.

Evidence/Proof Of Concept :

Step 1: Improper Error Handling as shown in below screenshot.
History

#1 - 23/04/2024 02:07 AM - Deepika Valluri
- Status changed from New to In Progress

- Assignee set to Deepika Valluri

#2 - 23/04/2024 02:20 AM - Deepika Valluri
- Assignee deleted (Deepika Valluri)

#3 - 25/04/2024 11:49 PM - Vasudev Mamidi

- Status changed from In Progress to Resolved

#4 - 26/04/2024 12:05 AM - Vasudev Mamidi

- Assignee set to Uday Kumar Dara

#5 - 03/05/2024 05:24 AM - Sivakanth Kesiraju
- Target version set to Sprint 1 (29th April - 3rd May)

#6 - 03/05/2024 05:28 AM - Sivakanth Kesiraju
- Target version changed from Sprint 1 (29th April - 3rd May) to Security Audit

#7 - 30/09/2024 05:14 PM - Gautam Kumar

- Status changed from Resolved to Closed
